import { jsx } from "react/jsx-runtime";
import { AlignRightIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const AlignRight = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "AlignRight", ...props, children: /* @__PURE__ */ jsx(AlignRightIcon, { weight: variant }) });
  }
);
AlignRight.displayName = "AlignRight";
Object.assign(AlignRight, { isGdsIcon: true });
export {
  AlignRight
};
